/**
 * CDatePicker - 选择日期范围操作
 * @author Tevin
 */

<template>
    <view class="c-date-picker">
        <CDateRangeAction
            v-if="mode==='dateRange'"
            :value="itemRes.formData[itemRes.name]"
            :onChange="evt=>handleChange(evt)"
            :placeholder="placeholder"
        >
            <AtInput
                ref="input"
                :name="itemRes.name"
                :title="itemRes.label"
                :required="itemRes.required"
                :error="itemRes.error"
                :value="itemRes.formData[itemRes.name]"
            >
                <view class="at-icon at-icon-chevron-right" />
            </AtInput>
        </CDateRangeAction>
        <CDateTimeAction
            v-else-if="mode==='dateTime'"
            :value="itemRes.formData[itemRes.name]"
            :onChange="evt=>handleChange(evt)"
            :placeholder="placeholder"
        >
            <AtInput
                ref="input"
                :name="itemRes.name"
                :title="itemRes.label"
                :required="itemRes.required"
                :error="itemRes.error"
                :value="itemRes.formData[itemRes.name]"
            >
                <view class="at-icon at-icon-chevron-right" />
            </AtInput>
        </CDateTimeAction>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { $ } from '@tarojs/extend';
import { AtInput } from 'taro-ui-vue';
import CDateRangeAction from './CDateRangeAction';
import CDateTimeAction from './CDateTimeAction.vue';
import './cDatePicker.scss';

export default {
    name: 'CDatePicker',
    components: {
        AtInput,
        CDateRangeAction,
        CDateTimeAction,
    },
    props: {
        // 表单数据资源（表单组件内部机制专用）
        itemRes: Object,
        // 日期时间选择器模式，包含 date / dateRange / dateTime 三种类型
        mode: {
            type: String,
            default: 'date',
        },
        // 占位提示
        placeholder: String,
    },
    data() {
        return {};
    },
    computed: {},
    methods: {
        handleChange(val) {
            this.itemRes.onChange(val);
        },
    },
    mounted() {},
};
</script>